Package org.linphone.core

# Interface ParticipantDeviceIdentity

public interface ParticipantDeviceIdentity
This object is only used on server side for `ChatRoom` with
invalid @link

    {@link ChatRoom#Backend#FlexisipChat

}
backend.

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddress()`
Gets the address of the participant device.
`String`
`getCapabilityDescriptor()`
Deprecated.
`String[]`
`getCapabilityDescriptorList()`
Gets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setCapabilityDescriptor(String capabilityDescriptor)`
Deprecated.
`void`
`setCapabilityDescriptor(String[] capabilityDescriptorList)`
Sets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAddress

Address getAddress()
Gets the address of the participant device.

Returns:
  the address.

### getCapabilityDescriptor

@Deprecated String getCapabilityDescriptor()
Deprecated.
Gets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.

Returns:
  the capability descriptor string.
  deprecated: 12/06/2023 Use `getCapabilityDescriptorList()` instead

### setCapabilityDescriptor

@Deprecated void setCapabilityDescriptor(String capabilityDescriptor)
Deprecated.
Sets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.

Parameters:
  `capabilityDescriptor` - the capability descriptor string.
  deprecated: 12/06/2023 Use `setCapabilityDescriptor(java.lang.String)` instead

### setCapabilityDescriptor

void setCapabilityDescriptor(String[] capabilityDescriptorList)
Sets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.

Parameters:
  `capabilityDescriptorList` - the capability descriptor list. A list of const
  char * objects.

### getCapabilityDescriptorList

String[] getCapabilityDescriptorList()
Gets the capability descriptor (currently +org.linphone.specs value) for this
participant device identity.

Returns:
  the capability descriptor list. A list of const char * objects.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`